Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.wfs.configuration
Class DigitizerClientConfiguration

    java.lang.Object
      org.deegree.portal.standard.wfs.configuration.DigitizerClientConfiguration

    public class DigitizerClientConfiguration

extends Object

TODO describe function and usage of the class here.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Field Summary
`protected Map<QualifiedName,String>` | `featureTypeToAddressMap`
`protected Map<QualifiedName,String>` | `featureTypeToDeleteTemplateMap`
`protected Map<QualifiedName,String>` | `featureTypeToFormTemplateMap`
`protected Map<QualifiedName,String>` | `featureTypeToInsertTemplateMap`
`protected Map<QualifiedName,String>` | `featureTypeToUpdateTemplateMap`

Constructor Summary
`DigitizerClientConfiguration()` create a new DigitizeClientConfiguration object

Method Summary
`void` | `addFeatureTypeAddress(QualifiedName featureType, String wfsAddress)`
`void` | `addFeatureTypeDeleteTemplate(QualifiedName featureType, String deleteTemplate)`
`void` | `addFeatureTypeFormTemplate(QualifiedName featureType, String formTemplate)`
`void` | `addFeatureTypeInsertTemplate(QualifiedName featureType, String insertTemplate)`
`void` | `addFeatureTypeUpdateTemplate(QualifiedName featureType, String updateTemplate)`
`String` | `getFeatureTypeAddress(QualifiedName featureType)`
`String` | `getFeatureTypeDeleteTemplate(QualifiedName featureType)`
`String` | `getFeatureTypeFormTemplate(QualifiedName featureType)`
`String` | `getFeatureTypeInsertTemplate(QualifiedName featureType)`
`Map` | `getFeatureTypeToAddressMap()`
`Map` | `getFeatureTypeToFormTemplateMap()`
`Map` | `getFeatureTypeToInsertTemplateMap()`
`Map` | `getFeatureTypeToUpdateTemplateMap()`
`String` | `getFeatureTypeUpdateTemplate(QualifiedName featureType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### featureTypeToAddressMap

    protected Map<QualifiedName,String> featureTypeToAddressMap

### featureTypeToFormTemplateMap

    protected Map<QualifiedName,String> featureTypeToFormTemplateMap

### featureTypeToInsertTemplateMap

    protected Map<QualifiedName,String> featureTypeToInsertTemplateMap

### featureTypeToUpdateTemplateMap

    protected Map<QualifiedName,String> featureTypeToUpdateTemplateMap

### featureTypeToDeleteTemplateMap

    protected Map<QualifiedName,String> featureTypeToDeleteTemplateMap

Constructor Detail

### DigitizerClientConfiguration

    public DigitizerClientConfiguration()

  create a new DigitizeClientConfiguration object

Method Detail

### addFeatureTypeAddress

    public void addFeatureTypeAddress(QualifiedName featureType,
                                      String wfsAddress)

  Parameters:
    `featureType` - as qualified name
    `wfsAddress` -

### addFeatureTypeFormTemplate

    public void addFeatureTypeFormTemplate(QualifiedName featureType,
                                           String formTemplate)

  Parameters:
    `featureType` - as qualified name
    `formTemplate` -

### addFeatureTypeInsertTemplate

    public void addFeatureTypeInsertTemplate(QualifiedName featureType,
                                             String insertTemplate)

  Parameters:
    `featureType` - as qualified name
    `insertTemplate` -

### addFeatureTypeUpdateTemplate

    public void addFeatureTypeUpdateTemplate(QualifiedName featureType,
                                             String updateTemplate)

  Parameters:
    `featureType` - as qualified name
    `updateTemplate` -

### addFeatureTypeDeleteTemplate

    public void addFeatureTypeDeleteTemplate(QualifiedName featureType,
                                             String deleteTemplate)

  Parameters:
    `featureType` - as qualified name
    `deleteTemplate` -

### getFeatureTypeAddress

    public String getFeatureTypeAddress(QualifiedName featureType)

  Parameters:
    `featureType` - the name of the featureType
  Returns:
    Returns the wfs address for a given featureType. May be null, if the passed featureType is unknown.

### getFeatureTypeFormTemplate

    public String getFeatureTypeFormTemplate(QualifiedName featureType)

  Parameters:
    `featureType` - the name of the featureType
  Returns:
    Returns the form template for a given featureType. May be null, if the passed featureType is unknown.

### getFeatureTypeInsertTemplate

    public String getFeatureTypeInsertTemplate(QualifiedName featureType)

  Parameters:
    `featureType` - the name of the featureType
  Returns:
    Returns the insert template for a given featureType. May be null, if the passed featureType is unknown.

### getFeatureTypeUpdateTemplate

    public String getFeatureTypeUpdateTemplate(QualifiedName featureType)

  Parameters:
    `featureType` - the name of the featureType
  Returns:
    Returns the update template for a given featureType. May be null, if the passed featureType is unknown.

### getFeatureTypeDeleteTemplate

    public String getFeatureTypeDeleteTemplate(QualifiedName featureType)

  Parameters:
    `featureType` - the name of the featureType
  Returns:
    Returns the delete template for a given featureType. May be null, if the passed featureType is unknown.

### getFeatureTypeToAddressMap

    public Map getFeatureTypeToAddressMap()

  Returns:
    Returns the featureTypeToAddressMap.

### getFeatureTypeToFormTemplateMap

    public Map getFeatureTypeToFormTemplateMap()

  Returns:
    Returns the featureTypeToFormTemplateMap.

### getFeatureTypeToInsertTemplateMap

    public Map getFeatureTypeToInsertTemplateMap()

  Returns:
    Returns the featureTypeToInsertTemplateMap.

### getFeatureTypeToUpdateTemplateMap

    public Map getFeatureTypeToUpdateTemplateMap()

  Returns:
    Returns the featureTypeToInsertTemplateMap.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org